module Control.Monad.Failure.Instances where

import Control.Exception;
import Control.Monad.Failure.Class;

instance (Exception e) => MonadFailure e IO where fail = throwIO;

instance (Exception e) => MonadSalvage e IO where save = handle;

instance MonadFailure f Maybe where fail = const Nothing;
